JBossManagedConnectionFactory (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.jboss.JBossManagedConnectionFactory interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.jboss
Interface JBossManagedConnectionFactory

All Superinterfaces:
  ConfigurationItem, J2EEResource, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, SoftwareResource

    public interface JBossManagedConnectionFactory

extends J2EEResource

JBossManagedConnectionFactory

Naming Rules:
  0="domain,name" 1="server,name"
Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getAuthenticationMechanismType()`
`java.lang.String` | `getConnectionFactoryInterface()`
`java.lang.String` | `getConnectionURL()`
`java.lang.String` | `getCredentialInterface()`
`java.lang.String` | `getDisplayName()` Returns a name string suitable for display in a UI.
`java.lang.String` | `getEisType()`
`java.lang.String` | `getMcfInstance()`
`boolean` | `getReauthenticationSupport()`
`java.lang.String` | `getResourceName()`
`java.lang.String` | `getSpecVersion()`
`java.lang.String` | `getStateString()`
`java.lang.String` | `getTransactionSupport()`
`java.lang.String` | `getVendorName()`
`boolean` | `hasAuthenticationMechanismType()`
`boolean` | `hasConnectionFactoryInterface()`
`boolean` | `hasConnectionURL()`
`boolean` | `hasCredentialInterface()`
`boolean` | `hasDisplayName()`
`boolean` | `hasEisType()`
`boolean` | `hasMcfInstance()`
`boolean` | `hasReauthenticationSupport()`
`boolean` | `hasResourceName()`
`boolean` | `hasSpecVersion()`
`boolean` | `hasStateString()`
`boolean` | `hasTransactionSupport()`
`boolean` | `hasVendorName()`
`void` | `setAuthenticationMechanismType(java.lang.String type)`
`void` | `setConnectionFactoryInterface(java.lang.String connector)`
`void` | `setConnectionURL(java.lang.String props)`
`void` | `setCredentialInterface(java.lang.String inter)`
`void` | `setDisplayName(java.lang.String name)`
`void` | `setEisType(java.lang.String type)`
`void` | `setMcfInstance(java.lang.String instance)`
`void` | `setReauthenticationSupport(boolean support)`
`void` | `setResourceName(java.lang.String name)`
`void` | `setSpecVersion(java.lang.String version)`
`void` | `setStateString(java.lang.String state)`
`void` | `setTransactionSupport(java.lang.String support)`
`void` | `setVendorName(java.lang.String vendorname)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEResource
`getDomain, getServer, hasDomain, hasServer, setDomain, setServer`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareResource
`getName, getParent, hasName, hasParent, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getResourceName

    java.lang.String getResourceName()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setResourceName

    void setResourceName(java.lang.String name)

### hasResourceName

    boolean hasResourceName()

### getDisplayName

    java.lang.String getDisplayName()
                                    throws AttributeNotSetException

  Description copied from interface: `ModelObject`
  Returns a name string suitable for display in a UI.

  Specified by:
    `getDisplayName` in interface `ModelObject`
  Returns:
    display name
  Throws:
    `AttributeNotSetException`

### setDisplayName

    void setDisplayName(java.lang.String name)

### hasDisplayName

    boolean hasDisplayName()

  Specified by:
    `hasDisplayName` in interface `ModelObject`

### getConnectionURL

    java.lang.String getConnectionURL()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setConnectionURL

    void setConnectionURL(java.lang.String props)

### hasConnectionURL

    boolean hasConnectionURL()

### getStateString

    java.lang.String getStateString()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStateString

    void setStateString(java.lang.String state)

### hasStateString

    boolean hasStateString()

### getEisType

    java.lang.String getEisType()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setEisType

    void setEisType(java.lang.String type)

### hasEisType

    boolean hasEisType()

### getMcfInstance

    java.lang.String getMcfInstance()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMcfInstance

    void setMcfInstance(java.lang.String instance)

### hasMcfInstance

    boolean hasMcfInstance()

### getTransactionSupport

    java.lang.String getTransactionSupport()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTransactionSupport

    void setTransactionSupport(java.lang.String support)

### hasTransactionSupport

    boolean hasTransactionSupport()

### getVendorName

    java.lang.String getVendorName()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setVendorName

    void setVendorName(java.lang.String vendorname)

### hasVendorName

    boolean hasVendorName()

### getCredentialInterface

    java.lang.String getCredentialInterface()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCredentialInterface

    void setCredentialInterface(java.lang.String inter)

### hasCredentialInterface

    boolean hasCredentialInterface()

### getConnectionFactoryInterface

    java.lang.String getConnectionFactoryInterface()
                                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setConnectionFactoryInterface

    void setConnectionFactoryInterface(java.lang.String connector)

### hasConnectionFactoryInterface

    boolean hasConnectionFactoryInterface()

### getAuthenticationMechanismType

    java.lang.String getAuthenticationMechanismType()
                                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAuthenticationMechanismType

    void setAuthenticationMechanismType(java.lang.String type)

### hasAuthenticationMechanismType

    boolean hasAuthenticationMechanismType()

### getSpecVersion

    java.lang.String getSpecVersion()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSpecVersion

    void setSpecVersion(java.lang.String version)

### hasSpecVersion

    boolean hasSpecVersion()

### getReauthenticationSupport

    boolean getReauthenticationSupport()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setReauthenticationSupport

    void setReauthenticationSupport(boolean support)

### hasReauthenticationSupport

    boolean hasReauthenticationSupport()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD